<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Curriculum Vitae Chiel Ham</title>
    <link rel="stylesheet" type="text/css" href="styles/index.css" />
    <meta name="viewport"/>
    <script src="scripts/index.js" defer></script>
  </head>
  <body>
    <div class="content">
      <div class="content--left">
        <section class="picture">
          <img src="images/Chiel_Ham.jpg" alt="Chiel Ham" />
        </section>

        <section class="about">
          About
          <hr />
          Chiel is a passionate full stack developer who loves to code as well as help his fellow developers. He is eager to learn and easily adopts new technologies.
          <br/>
          Key qualities: Analytical, Thorough, Precise, Helpful, Eager, Fast Learner, Flexible
        </section>
        
        <section class="skills">
          Skills
          <hr />
          <ul class="cloud" onclick="randomizeListOrder(this)">
            <!-- TODO add more skills -->
            <li data-weight="5">Angular</li>
            <li data-weight="2">Jasmine</li>
            <li data-weight="4">Java</li>
            <li data-weight="3">Kotlin</li>
            <li data-weight="3">JUnit5</li>
            <li data-weight="5">Spring Boot</li>
            <li data-weight="3">SQL</li>
            <li data-weight="4">PL/SQL</li>
            <li data-weight="2">Git</li>
            <li data-weight="2">GitLab CI/CD</li>
            <li data-weight="2">Sonar</li>
          </ul>
        </section>

        <section class="personalia">
          Personalia
          <hr />
          <ul>
            <!-- TODO move the icons to some shared folder -->
            <li>
              <a href="mailTo:chiel.ham@gmail.com">
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  viewBox="0 0 24 24"
                  data-supported-dps="24x24"
                  fill="currentColor"
                  width="24"
                  height="24"
                  focusable="false"
                >
                  <path
                    d="M2 4v13a3 3 0 003 3h14a3 3 0 003-3V4zm18 2v1.47l-8 5.33-8-5.33V6zm-1 12H5a1 1 0 01-1-1V8.67L12 14l8-5.33V17a1 1 0 01-1 1z"
                  ></path>
                </svg>

                chiel.ham@gmail.com
              </a>
            </li>
            <li>
              <a
                href="https://www.linkedin.com/in/chielham/"
                target="_blank"
                rel="noopener noreferrer"
              >
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  viewBox="0 0 24 24"
                  data-supported-dps="24x24"
                  fill="currentColor"
                  width="24"
                  height="24"
                  focusable="false"
                >
                  <path
                    d="M20.5 2h-17A1.5 1.5 0 002 3.5v17A1.5 1.5 0 003.5 22h17a1.5 1.5 0 001.5-1.5v-17A1.5 1.5 0 0020.5 2zM8 19H5v-9h3zM6.5 8.25A1.75 1.75 0 118.3 6.5a1.78 1.78 0 01-1.8 1.75zM19 19h-3v-4.74c0-1.42-.6-1.93-1.38-1.93A1.74 1.74 0 0013 14.19a.66.66 0 000 .14V19h-3v-9h2.9v1.3a3.11 3.11 0 012.7-1.4c1.55 0 3.36.86 3.36 3.66z"
                  ></path>
                </svg>

                linkedin.com/in/chielham
              </a>
            </li>
            <li>
              <a
                href="http://maps.apple.com/?address=Hoef en Haag, Netherlands"
                target="_blank"
                rel="noopener noreferrer"
                ><svg
                  xmlns="http://www.w3.org/2000/svg"
                  viewBox="0 0 24 24"
                  data-supported-dps="24x24"
                  fill="currentColor"
                  width="24"
                  height="24"
                  focusable="false"
                >
                  <path
                    d="M12 2a7 7 0 00-6.1 10.43L12 23l6.1-10.57A7 7 0 0012 2zm0 10a3 3 0 113-3 3 3 0 01-3 3z"
                  ></path>
                </svg>

                Hoef en Haag, Netherlands
              </a>
            </li>
            <li style="display: none">
              <a href="tel:+31643871389"
                ><svg
                  xmlns="http://www.w3.org/2000/svg"
                  viewBox="0 0 24 24"
                  data-supported-dps="24x24"
                  fill="white"
                  width="24"
                  height="24"
                  focusable="false"
                >
                  <path
                    d="M21.7 19.18l-1.92 1.92a3.07 3.07 0 01-3.33.67 25.52 25.52 0 01-8.59-5.63 25.52 25.52 0 01-5.63-8.59 3.07 3.07 0 01.67-3.33L4.82 2.3a1 1 0 011.41 0l3.15 3.11A1.1 1.1 0 019.41 7L7.59 8.73a20.51 20.51 0 007.68 7.68l1.78-1.79a1.1 1.1 0 011.54 0l3.11 3.11a1 1 0 010 1.41z"
                  ></path>
                </svg>

                +31 6 43 87 13 89</a
              >
            </li>
            <li>
              <span>
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  viewBox="0 0 24 24"
                  data-supported-dps="24x24"
                  fill="currentColor"
                  width="24"
                  height="24"
                  focusable="false"
                >
                  <path
                    d="M21 18V9a1 1 0 00-1-1h-2V4h-2v4h-3V4h-2v4H8V4H6v4H4a1 1 0 00-1 1v9H2v2h20v-2h-1zm-2-8v3H5v-3h14zM5 14h14v4H5v-4z"
                  ></path>
                </svg>
                22 Oktober 1987
              </span>
            </li>
          </ul>
        </section>
      </div>
      <div class="content--right">
        <h1>Chiel Ham</h1>

        <!-- see https://codepen.io/mo7amedk7alid29/pen/dRoMwo -->

        <div class="timeline">
            <ol>
				<li>
					<span class="company">Code Foundry</span>
					<ol>
						<li>
							<section class="job">
                                <div class="from">Oktober 2022</div>
                                <div class="title collapsible" onclick="toggleCollapse(this)">Full-stack consultant</div>
                                <div class="description collapsible-content">
                                    <div>
                                        Chiel started working as a full-stack consultant at RijksWaterStaat (RWS) in the department that is responsible for vessel traffic management. Chiel is part of a team that focusses on the development and maintenance of various applications for the skippers.
										<br/>
										These applications include:
										<ul>
											<li><a href="https://beterbediend.rws.nl/">bediening op afroep</a></li>
											<li><a href="https://pilot.sluisplanning.rws.nl">sluisplanning</a></li>
										</ul>
                                    </div>
                                    <div>
                                        Key technologies: Microservices, Kotlin, Java, Spring Boot, JUnit, Angular, Typescript, Jest, GitLab, GitLab CI/CD, SIGRID
                                    </div>
                                </div>
                            </section>
						</li>
                    </ol>
				</li>
                <li>
                    <span class="company">Itris</span>
                    <ol>
                        <li>
                            <section class="job">
                                <div class="from">April 2020</div>
                                <div class="title collapsible" onclick="toggleCollapse(this)">Lead Software Engineer</div>
                                <div class="description collapsible-content">
                                    <div>
                                        Itris has started an ambitious project, modernizing their application and creating new prospects to conquer the market. Chiel is responsible for the technical part of this project, where he decides on the new technology stack and the architectural setup.
                                        <br/>
                                        With designing the new setup, Chiel has gained a lot of experience as an Architect, but his heart is still with development. The new setup is inspired by the microservice architecture using Spring Cloud and Angular. The main goal of the new setup is to make developers more productive, faster - this has been proven with the introduction of external developers that have been productive within days. An additional goal is to be able to make modifications more safely - only time will tell if this is the case...
                                    </div>
                                    <div>
                                        Key technologies: Angular, Typescript, Jasmine, Java, Spring Boot, JUnit5, (Oracle) SQL, PL/SQL, GitLab, GitLab CI/CD, SonarCloud
                                    </div>
                                </div>
                            </section>
                        </li>
                        <li>
                            <section class="job">
                                <div class="from">October 2019</div>
                                <div class="title collapsible" onclick="toggleCollapse(this)">Senior Java Developer</div>
                                <div class="description collapsible-content">
                                    <div>
                                        Chiel worked on maintaining and expanding the Viewpoint application. He has done various projects to improve the application as clients desired. This period was mostly to get to know the application and the sector.
                                    </div>
                                    <div>
                                        Key technologies: Java, (Oracle) SQL
                                    </div>
                                </div>
                            </section>
                        </li>
                    </ol>
                </li>
                <li>
                    <span class="company">AMIS</span>
                    <ol>                    
                        <li>
                            <section class="job">
                                <div class="from">November 2015</div>
                                <!-- <div class="duration">Nov 2015 - Sep 2020 · 4 yrs 11 mos</div> -->
                                <div class="title collapsible" onclick="toggleCollapse(this)">Oracle Middleware Specialist</div>
                                <!-- <div class="company">Brocacef</div> -->
                                <div class="description collapsible-content">
                                    <div>
                                        Chiel worked on the migration of the Aikido middleware from iBolt to the Oracle stack and implementation of the integration between JDE and DigiPoort (Defence contract).
                                        <br/>
                                        After finishing the project, the assignment changed to monitoring/administration of the middleware; that is implementing and tweaking monitoring systems for the health and performance of the middleware and minor changes in the middleware.
                                    </div>
                                    <div>
                                        Key technologies: Oracle Service Bus (OSB), Oracle Service Oriented Architecture (SOA), Oracle Managed File Transfer (MFT), Oracle Traffic Director (OTD) and Weblogic
                                    </div>
                                </div>
                            </section>
                        </li>
        
                        <li>
                            <section class="job">
                                <div class="from">November 2013</div>
                                <!-- <div>Nov 2013 - Sep 2020 · 6 yrs 11 mos</div> -->
                                <div class="title collapsible" onclick="toggleCollapse(this)">Lead Full Stack Developer</div>
                                <!-- <div class="company">Pagoni</div> -->
                                <div class="description collapsible-content">
                                    <div>
                                        Chiel worked on the (continued) development of Pagoni, an application used by plan economists to plan their projects. The plan economist can enter structured, hierarchical data and calculate effects such as inflation, interest and other effects on various cross sections of their project.
                                        <br/>
                                        Chiel started out as one of the members of the development team, but quickly grew out to be the lead developer. As lead developer Chiel is responsible for the quality of the application as well as guiding and educating new members of the team.
                                        <br/>
                                        As of April 2019 the application is beïng migrated to a new technology stack.
                                    </div>
                                    <div>
                                        Key technologies: Oracle Application Development Framework (ADF), Java, (Oracle) SQL, PL/SQL, Jasper Reports - after Migration: Angular, Typescript, Jest, Spring Boot, JUnit
                                    </div>
                                </div>
                            </section>
                        </li>
        
                        <li>
                            <section class="job">
                                <div class="from">October 2018</div>
                                <!-- <div class="duration">Oct 2018 - Sep 2019 · 1 yrOct 2018 - Sep 2019 · 1 yr</div> -->
                                <div class="title collapsible" onclick="toggleCollapse(this)">Lead Full Stack Developer</div>
                                <!-- <div class="company">Stichting CIS</div> -->
                                <div class="description collapsible-content">
                                    <div>
                                        Chiel worked on the Self Service Portal (SSP), a small application that serves as a user-friendly layer on top of an LDAP to manage users and their privileges for all (other) applications of CIS.
                                        <br/>
                                        Chiel decided on the technologies used for this application; Angular (7) for the client and Spring Boot for the API.
                                    </div>
                                    <div>
                                        Key technologies: Angular, Typescript, Jest, Spring Boot, Java, JUnit
                                    </div>
                                </div>
                            </section>
                        </li>
                    </ol>
                </li>
                <li>
                    <span class="company">Procam</span>
                    <ol>
                        <li>
                            <section class="job">
                                <div class="from">October 2013</div>
                                <div class="title collapsible" onclick="toggleCollapse(this)">Junior Developer</div>
                                <div class="description collapsible-content">Chiel was employed by Procam and working at AMIS. In this construction Procam provided coaching and several courses to improve soft-skills, while gaining on-the-job experience at AMIS. After this period Chiel joined AMIS.</div>
                            </section>
                        </li>
                    </ol>
                </li>
            </ol>
        </div>
      </div>
    </div>
  </body>
</html>
